<template>
  <div>
    <div class="tway-header-1 my-5">
      Especialistas top relacionados
      <v-icon class="tway-violet--text"> mdi-information-outline </v-icon>
    </div>
    <div class="ranking">
      <v-card
        v-for="(specialist, index) in specialists"
        :key="index"
        class="mb-5 tway-card"
      >
        <v-row class="pa-2" no-gutters>
          <v-col xs="12" sm="12" md="5" lg="5">
            <v-list-item>
              <v-list-item-avatar size="70">
                <v-img
                  :src="require(`@/assets/img/maqueta/${specialist.logo}`)"
                  contain
                />
              </v-list-item-avatar>
              <v-list-item-content>
                <v-list-item-title class="tway-headline-3 text-uppercase">
                  {{ specialist.name }}
                </v-list-item-title>
                <v-list-item-subtitle class="d-flex">
                  <span class="tway-body-text mr-2 black--text">
                    {{ specialist.rating }}
                  </span>
                  <v-rating
                    v-model="specialist.rating"
                    color="tway-violet"
                    dense
                    half-increments
                    half-icon="mdi-star-half-full"
                    readonly
                    size="20"
                  />
                  <span class="tway-body-text ml-2">
                    {{ specialist.clientComments }} comentarios
                  </span>
                </v-list-item-subtitle>
              </v-list-item-content>
            </v-list-item>
          </v-col>
          <v-col
            xs="12"
            sm="12"
            md="auto"
            lg="auto"
            class="ml-auto d-flex align-center flex-column"
          >
            <div class="my-auto">
              <v-chip
                v-for="(service, i) in specialist.services"
                :key="i"
                class="tway-violet-4 tway-violet--text mr-2"
              >
                {{ service }}
              </v-chip>
            </div>
          </v-col>
          <v-col xs="12" sm="12" md="auto" lg="auto">
            <div class="text-right">
              <div class="ranking-card-criteria-title tway-violet-2--text mb-2">
                SECTORES
              </div>
              <div class="mb-2">
                <v-icon
                  v-for="(sector, i) in specialist.industrialSectors"
                  :key="i"
                  class="tway-violet--text ml-1"
                >
                  {{ sector }}
                </v-icon>
              </div>
            </div>
          </v-col>
        </v-row>
      </v-card>
      <div class="d-flex my-5">
        <v-btn
          rounded
          outlined
          color="tway-apple-green"
          class="white--text mx-auto"
        >
          VER MÁS ESPECIALISTAS
        </v-btn>
      </div>
    </div>
  </div>
</template>

<script>
import top5 from "@/utils/top5Specialists.json";

export default {
  name: "RecommendedSpecialists",

  data: () => ({
    specialists: [],
  }),

  created() {
    this.getTop5();
  },

  methods: {
    getTop5() {
      this.specialists = top5.slice(0, 3);
    },
  },
};
</script>

<style scoped>
.ranking-card-criteria-title {
  font-family: "Roboto";
  font-style: normal;
  font-weight: normal;
  font-size: 10px;
  line-height: 12px;
  letter-spacing: 0.1em;
  text-transform: uppercase;
}
</style>
